<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.elytron.permission-set.permissions">
    <annotation name="jboss-op">
        <elem name="name" value="list-add"/>
        <elem name="op-params" value="class-name,module,target-name,action"/>
        <elem name="complex-attribute" value="permissions"/>
        <elem name="addr-params" value="profile,host,subsystem,permission-set"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <refs>
        <ref feature="subsystem.elytron.permission-set"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="permission-set"/>
        <param name="module" nillable="true"/>
        <param name="profile" default="GLN_UNDEFINED"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="subsystem"/>
        <param name="action" nillable="true"/>
        <param name="target-name" nillable="true"/>
        <param name="class-name"/>
    </params>
</feature-spec>